<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | HTTP_REFERER Geeklog Plugin                                               |
// +---------------------------------------------------------------------------+
// | index.php                                                                 |
// | Administration page.                                                      |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2003 by the following authors:                              |
// |                                                                           |
// | Authors: Michael Jervis - mike@fuckingbrit.com                            |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
// $Log: index.php,v $
// Revision 1.1  2003/10/03 15:43:28  themike
// Initial check in of (semi) functional code
//

require_once('../../../lib-common.php');
require_once('../../auth.inc.php');

function denyyou()
{
    $display .= COM_startBlock(_GL_ERRORNOACCESS);
    $display .= _MD_USER." ".$_USER['username']. " " ._GL_NOUSERACCESS;
    $display .= COM_endBlock();
    echo $display;
    exit;
}

$display .= COM_siteHeader('menu');
// MAIN
switch ($_GET['op'])
{
    case 'delete':
        if( SEC_hasRights( 'httpreferer.delete' ) )
        {
            $display .= http_referer_delete_confirm();
        } else {
            $display .= denyyou();
        }
        break;
    case 'deleteconfirm':
      if( SEC_hasRights( 'httpreferer.delete' ) )
      {
          $display .= http_referer_delete();
      } else {
          $display .= denyyou();
      }
      break;
    case 'listphrases':
        if( SEC_hasRights( 'httpreferer.list' ) )
        {
            $display .= http_referer_admin_menu();
            $display .= http_referer_list_phrases();
        } else {
            denyyou();
        }
        break;
    case 'listwords':
        if( SEC_hasRights( 'httpreferer.list' ) )
        {
            $display .= http_referer_admin_menu();
            $display .= http_referer_list_words();
        } else {
            denyyou();
        }
        break;
    default:
        if( SEC_hasRights( 'httpreferer.list' ) )
        {
            $display .= http_referer_admin_menu();
            $display .= http_referer_list();
        } else {
            $display .= denyyou();
        }
        break;
}
$display .= COM_siteFooter();
echo $display;

?>
