<?php
    // $Log: config.php,v $
    // Revision 1.8  2005/01/30 19:39:35  themike
    // Numerious fixes
    //
    // Revision 1.7  2003/10/17 16:20:40  themike
    // Added phpblocks from Jeff Bearer, plus fixed the word ignore to be case-insenstive.
    //
    // Revision 1.6  2003/10/13 21:26:39  themike
    // Added ignore words for searches (i, and etc).
    // Added don't log searche engine urls (just words/phrases)
    //
    // Revision 1.5  2003/10/07 10:29:59  themike
    // Fixed timestamp, improved display of HTTP_REFERERS
    // Fixed MSN Search
    //
    // Revision 1.4  2003/10/06 08:56:55  themike
    // Updated to work with aolsearch.aol.com as well as .co.uk
    //
    // Revision 1.3  2003/10/05 14:42:50  themike
    // Added the bbc.co.uk search to config.php
    //
    // Revision 1.2  2003/10/04 15:47:35  themike
    // Check in of 1.1rc1
    //

    // Enable HTTP_REFERER Logging:
    $_CONF['http_referer_logging'] = 1; // 0 = off, 1 = on.
    // Enable Query String Parsing:
    $_CONF['http_referer_qsp'] = 1; // 0 = off, 1 = on.
    // Enable search word logging (will still log phrases)
    $_CONF['http_referer_qsw'] = 1; // 0 = off, 1 = on.
    // Enable logging of searches. If we are logging phrases and words
    // then why bother logging the search engine url? It's not a 'true' link
    $_CONF['http_referer_lse'] = 0; // 0 = off, 1 = on
    /**
      * Ways to parse query string. An array of form key=>value, where key
      * is a regular expresion and value is a GET Variable. For example:
      * ^http://www\.google\.*$ => q
      * means any google site check the query string value of q for the search
      * string
      */
    if( $_CONF['http_referer_qsp'] == 1 )
    {
        $_CONF['http_referer_qss'] = array(
                                    '^http://www\.google.*$' => 'q',
                                    '^http://www.googel.fi.*$' => 'q',
                                    '^http://.*search.msn.co.*results.*$' => 'q',
                                    '^http://.*\.mysearch.com/jsp/GGmain.jsp?searchfor=.*$' => 'searchfor',
                                    '^http://search.freeserve.com/.*$' => 'q',
                                    '^http://aolsearch.aol.co.*$' => 'query',
                                    '^http://search.yahoo.com.*$' => 'va',
                                    '^http://search.yahoo.com.*$' => 'p',
                                    '^http://www.bbc.co.uk/cgi-bin/search/.*' => 'q',
                                    '^http://www.tiscali.co.uk/search/results.php.*$' => 'query',
                                    '^http://www.altavista.com/web/results.*$' => 'q',
                                    '^http://search.hotbot.co.uk/cgi-bin/pursuit.*$' => 'query',
                                    '^http://www.excite.co.uk/search/web/results.*$' => 'q',
                                    '^http://uk.search.yahoo.com/search.*$' => 'p',
                                    '^http://search.wanadoo.*$' => 'q'

                                          );
        $_CONF['http_referer_ignore_words'] = array (
                'i','am','is','the','of','my','+','on','with','to','a','is',
                'by','and'
                );
    }

    /* How many items to display in places */
    $_CONF['http_referer_block_limit'] = 15;
    $_CONF['http_referer_page_limit'] = 50;

    /* Leave these alone */
    $_HR_CONF['version'] = '1.3';
    $_TABLES['http_referer']			    = $_DB_table_prefix . 'http_referers';
    $_TABLES['http_referer_phrases'] = $_DB_table_prefix.'http_referer_phrases';
    $_TABLES['http_referer_words'] = $_DB_table_prefix.'http_referer_words';
?>
